StarParagraphAttribute::StarPAttributeTabStop::TabStop Struct Reference

a tabs structure More...

## Public Member Functions

| TabStop ()
| constructor
void | printData (libstoff::DebugStream &o) const
| debug function to print the data

## Public Attributes

int | m_pos
| the position
int | m_type
| the type: SvxTabAdjust: left, right, decimal, center, default
int | m_decimal
| the decimal char
int | m_fill
| the fill char

## Detailed Description

a tabs structure

## Constructor & Destructor Documentation

## TabStop()

StarParagraphAttribute::StarPAttributeTabStop::TabStop::TabStop | ( |  | ) |

inline

constructor

## Member Function Documentation

## printData()

void StarParagraphAttribute::StarPAttributeTabStop::TabStop::printData | ( | libstoff::DebugStream & | o | ) | const

inline

debug function to print the data

## Member Data Documentation

## m_decimal

int StarParagraphAttribute::StarPAttributeTabStop::TabStop::m_decimal

the decimal char

Referenced by printData(), StarParagraphAttribute::StarPAttributeTabStop::read(), and TabStop().

## m_fill

int StarParagraphAttribute::StarPAttributeTabStop::TabStop::m_fill

the fill char

Referenced by printData(), StarParagraphAttribute::StarPAttributeTabStop::read(), and TabStop().

## m_pos

int StarParagraphAttribute::StarPAttributeTabStop::TabStop::m_pos

the position

Referenced by printData(), StarParagraphAttribute::StarPAttributeTabStop::read(), and TabStop().

## m_type

int StarParagraphAttribute::StarPAttributeTabStop::TabStop::m_type

the type: SvxTabAdjust: left, right, decimal, center, default

Referenced by printData(), StarParagraphAttribute::StarPAttributeTabStop::read(), and TabStop().

The documentation for this struct was generated from the following file:

- StarParagraphAttribute.cxx